package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ProAddBean {


        private List<RecordsBean> records;

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public static class RecordsBean {
            /**
             * createdBy : null
             * createdByName : null
             * createdTime : null
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 604632d2b19c41e98627fef2a3279ef9
             * orderId : SO10741
             * productId : 33
             * innerPrice : 100.0
             * productCount : null
             * type : null
             * outerPrice : null
             * storeSum : null
             * shipSum : null
             * packageSum : null
             * usedSum : null
             * invoiceSum : null
             * usedReturnSum : null
             * oddSum : null
             * lotNumber : YWT200324001
             * serialNumber : PDS20032408140239
             * annex : null
             * tranFromStockId : null
             * customerBranchFactoryId : null
             * version : 0
             * productName : 白刚玉
             * itemFlows : null
             * stockQuantityDetailList : null
             * stockQuantityDetailMaps : null
             * productSoleCode : 白刚玉
             * productSimpleCode : 白刚玉
             * productSpec : 80#
             * productUnit : 吨
             * productWeight : null
             * canOutStoreProductSum : null
             * canInStoreProductSum : null
             * canUseProductSum : null
             * canPackageSum : 0.0
             * launchDeptName : 销售二公司
             * launchDeptId : null
             * receiveDeptName : 业务部
             * customerId : null
             * customerName : 江苏沙钢集团有限公司1
             * productOfKind : 外购贴牌
             * canInvoiceSum : null
             * orderType : SO
             * customerBranchFactoryName : null
             * orderTypeName : 销售订单
             */

            private Object createdBy;
            private Object createdByName;
            private Object createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private String id;
            private String orderId;
            private int productId;
            private double innerPrice;
            private Object productCount;
            private Object type;
            private Object outerPrice;
            private Object storeSum;
            private Object shipSum;
            private Object packageSum;
            private Object usedSum;
            private Object invoiceSum;
            private Object usedReturnSum;
            private Object oddSum;
            private String lotNumber;
            private String serialNumber;
            private Object annex;
            private Object tranFromStockId;
            private Object customerBranchFactoryId;
            private int version;
            private String productName;
            private Object itemFlows;
            private Object stockQuantityDetailList;
            private Object stockQuantityDetailMaps;
            private String productSoleCode;
            private String productSimpleCode;
            private String productSpec;
            private String productUnit;
            private Object productWeight;
            private Object canOutStoreProductSum;
            private Object canInStoreProductSum;
            private Object canUseProductSum;
            private double canPackageSum;
            private String launchDeptName;
            private Object launchDeptId;
            private String receiveDeptName;
            private Object customerId;
            private String customerName;
            private String productOfKind;
            private Object canInvoiceSum;
            private String orderType;
            private Object customerBranchFactoryName;
            private String orderTypeName;
            private String carNum;
            private String carPrice;
            private String spec;
            private double quantity;

            public double getQuantity() {
                return quantity;
            }

            public void setQuantity(double quantity) {
                this.quantity = quantity;
            }

            public String getSpec() {
                return spec;
            }

            public void setSpec(String spec) {
                this.spec = spec;
            }

            public String getCarPrice() {
                return carPrice;
            }

            public void setCarPrice(String carPrice) {
                this.carPrice = carPrice;
            }

            public String getCarNum() {
                return carNum;
            }

            public void setCarNum(String carNum) {
                this.carNum = carNum;
            }

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public Object getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(Object createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public double getInnerPrice() {
                return innerPrice;
            }

            public void setInnerPrice(double innerPrice) {
                this.innerPrice = innerPrice;
            }

            public Object getProductCount() {
                return productCount;
            }

            public void setProductCount(Object productCount) {
                this.productCount = productCount;
            }

            public Object getType() {
                return type;
            }

            public void setType(Object type) {
                this.type = type;
            }

            public Object getOuterPrice() {
                return outerPrice;
            }

            public void setOuterPrice(Object outerPrice) {
                this.outerPrice = outerPrice;
            }

            public Object getStoreSum() {
                return storeSum;
            }

            public void setStoreSum(Object storeSum) {
                this.storeSum = storeSum;
            }

            public Object getShipSum() {
                return shipSum;
            }

            public void setShipSum(Object shipSum) {
                this.shipSum = shipSum;
            }

            public Object getPackageSum() {
                return packageSum;
            }

            public void setPackageSum(Object packageSum) {
                this.packageSum = packageSum;
            }

            public Object getUsedSum() {
                return usedSum;
            }

            public void setUsedSum(Object usedSum) {
                this.usedSum = usedSum;
            }

            public Object getInvoiceSum() {
                return invoiceSum;
            }

            public void setInvoiceSum(Object invoiceSum) {
                this.invoiceSum = invoiceSum;
            }

            public Object getUsedReturnSum() {
                return usedReturnSum;
            }

            public void setUsedReturnSum(Object usedReturnSum) {
                this.usedReturnSum = usedReturnSum;
            }

            public Object getOddSum() {
                return oddSum;
            }

            public void setOddSum(Object oddSum) {
                this.oddSum = oddSum;
            }

            public String getLotNumber() {
                return lotNumber;
            }

            public void setLotNumber(String lotNumber) {
                this.lotNumber = lotNumber;
            }

            public String getSerialNumber() {
                return serialNumber;
            }

            public void setSerialNumber(String serialNumber) {
                this.serialNumber = serialNumber;
            }

            public Object getAnnex() {
                return annex;
            }

            public void setAnnex(Object annex) {
                this.annex = annex;
            }

            public Object getTranFromStockId() {
                return tranFromStockId;
            }

            public void setTranFromStockId(Object tranFromStockId) {
                this.tranFromStockId = tranFromStockId;
            }

            public Object getCustomerBranchFactoryId() {
                return customerBranchFactoryId;
            }

            public void setCustomerBranchFactoryId(Object customerBranchFactoryId) {
                this.customerBranchFactoryId = customerBranchFactoryId;
            }

            public int getVersion() {
                return version;
            }

            public void setVersion(int version) {
                this.version = version;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public Object getItemFlows() {
                return itemFlows;
            }

            public void setItemFlows(Object itemFlows) {
                this.itemFlows = itemFlows;
            }

            public Object getStockQuantityDetailList() {
                return stockQuantityDetailList;
            }

            public void setStockQuantityDetailList(Object stockQuantityDetailList) {
                this.stockQuantityDetailList = stockQuantityDetailList;
            }

            public Object getStockQuantityDetailMaps() {
                return stockQuantityDetailMaps;
            }

            public void setStockQuantityDetailMaps(Object stockQuantityDetailMaps) {
                this.stockQuantityDetailMaps = stockQuantityDetailMaps;
            }

            public String getProductSoleCode() {
                return productSoleCode;
            }

            public void setProductSoleCode(String productSoleCode) {
                this.productSoleCode = productSoleCode;
            }

            public String getProductSimpleCode() {
                return productSimpleCode;
            }

            public void setProductSimpleCode(String productSimpleCode) {
                this.productSimpleCode = productSimpleCode;
            }

            public String getProductSpec() {
                return productSpec;
            }

            public void setProductSpec(String productSpec) {
                this.productSpec = productSpec;
            }

            public String getProductUnit() {
                return productUnit;
            }

            public void setProductUnit(String productUnit) {
                this.productUnit = productUnit;
            }

            public Object getProductWeight() {
                return productWeight;
            }

            public void setProductWeight(Object productWeight) {
                this.productWeight = productWeight;
            }

            public Object getCanOutStoreProductSum() {
                return canOutStoreProductSum;
            }

            public void setCanOutStoreProductSum(Object canOutStoreProductSum) {
                this.canOutStoreProductSum = canOutStoreProductSum;
            }

            public Object getCanInStoreProductSum() {
                return canInStoreProductSum;
            }

            public void setCanInStoreProductSum(Object canInStoreProductSum) {
                this.canInStoreProductSum = canInStoreProductSum;
            }

            public Object getCanUseProductSum() {
                return canUseProductSum;
            }

            public void setCanUseProductSum(Object canUseProductSum) {
                this.canUseProductSum = canUseProductSum;
            }

            public double getCanPackageSum() {
                return canPackageSum;
            }

            public void setCanPackageSum(double canPackageSum) {
                this.canPackageSum = canPackageSum;
            }

            public String getLaunchDeptName() {
                return launchDeptName;
            }

            public void setLaunchDeptName(String launchDeptName) {
                this.launchDeptName = launchDeptName;
            }

            public Object getLaunchDeptId() {
                return launchDeptId;
            }

            public void setLaunchDeptId(Object launchDeptId) {
                this.launchDeptId = launchDeptId;
            }

            public String getReceiveDeptName() {
                return receiveDeptName;
            }

            public void setReceiveDeptName(String receiveDeptName) {
                this.receiveDeptName = receiveDeptName;
            }

            public Object getCustomerId() {
                return customerId;
            }

            public void setCustomerId(Object customerId) {
                this.customerId = customerId;
            }

            public String getCustomerName() {
                return customerName;
            }

            public void setCustomerName(String customerName) {
                this.customerName = customerName;
            }

            public String getProductOfKind() {
                return productOfKind;
            }

            public void setProductOfKind(String productOfKind) {
                this.productOfKind = productOfKind;
            }

            public Object getCanInvoiceSum() {
                return canInvoiceSum;
            }

            public void setCanInvoiceSum(Object canInvoiceSum) {
                this.canInvoiceSum = canInvoiceSum;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public Object getCustomerBranchFactoryName() {
                return customerBranchFactoryName;
            }

            public void setCustomerBranchFactoryName(Object customerBranchFactoryName) {
                this.customerBranchFactoryName = customerBranchFactoryName;
            }

            public String getOrderTypeName() {
                return orderTypeName;
            }

            public void setOrderTypeName(String orderTypeName) {
                this.orderTypeName = orderTypeName;
            }
        }
}
